Mailinglist Archive: opensuse (3644 mails)

< Previous Next >
Re: [SLE] Suse Kernel 2.4.18 with NVIDIA confusion
Suse 7.1 kernel 2.4.17 & 2.4.4
My Xfree86 config for the Intellieye wheel mouse.
Brian Marr


Section "InputDevice"
Driver "mouse"
Identifier "Mouse[3]"
Option "Device" "/dev/mouse"
Option "InputFashion" "Mouse"
Option "Name" "INTELLIPOINT MOUSE PS/2"
Option "Protocol" "IMPS/2"
Option "Vendor" "MICROSOFT"
Option "ZAxisMapping" "4 5"
EndSection



On Tuesday 05 March 2002 01:02, you wrote:
On Sun, 03 Mar 2002, you wrote:
Thanks Anders

That got the Nvidia drivers installed and that seems to be working. Sound
even kept working, but problem I was hoping to cure that came with 2.4.17
is still there. That is, the mouse is still flakey. When I click on the KDE
start menu, most of the time, I have to click 3 or 4 times before the menu
comes up and stays up. Most of the time it comes up and goes right away. It
is almost like a contact bounce on the mouse switch, but did not have this
problem until 2.4.17. Tried to adjust some settings in the mouse portion of
the control panel, but that also did not help. This is quite irritating as
it also does it when clicking on files in Konqueror, etc.

Anyone have any ideas on this?

I know the shortcut is alt+f1 for whatever that is worth.


Mouse is Microsoft intellieye wheel mouse with device = /dev/psaux and
imps/2 protocol according to XF86Config. Vendor is AutoDetected and ZAxis
Mapping is "4 5"

Art

-----Original Message-----
From: Anders Johansson [mailto:andjoh@xxxxxxxxxxxxxxxxxxxxx]
Sent: Sunday, March 03, 2002 6:15 PM
To: suse-linux-e@xxxxxxxx
Subject: Re: [SLE] Suse Kernel 2.4.18 with NVIDIA confusion

On Sunday 03 March 2002 15:10, Art Fore wrote:
That got me one step closer. Now the --rebuild goes fine, but when I do

the

rpm -ivh, it comes up with
depmod: /lib/modelses/s.4.18-4GB/modules.ieee1394map is not an ELF file
depmod: cannot read ELF header from
/lib/modules/s.4.18-4GB/modules.pnpbiosmap
depmod: *** Unresolved symbols in
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: unresolved symbol
kmap_page table
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: insmod
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver failed
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: insmod NVdriver failed

Have any suggestions for this?

Yep, but it makes me wonder how you built it for 2.4.17, since the same
problem existed there.

Grab the patch from mantel/next. It's called nvidia-pte-highmem

do rpm -i on the src.rpm, and then rpm -bp on
/usr/src/packages/SPECS/NVIDIA_kernel.spec

That will get you the source in
/usr/src/packages/BUILD/NVIDIA_kernel-1.0-2314
cd to that directory and do patch -p1 < nvidia-pte-highmem
Then, as root, do 'make' and the module should build and install properly

//Anders

--
To unsubscribe send e-mail to suse-linux-e-unsubscribe@xxxxxxxx
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the FAQ at http://www.suse.com/support/faq and the
archives at http://lists.suse.com

< Previous Next >
Follow Ups
References